std::basic_ospanstream::basic_ospanstream(3)

NAME
std::basic_ospanstream::basic_ospanstream - std::basic_ospanstream::basic_ospanstream

Synopsis
   explicit basic_ospanstream( std::span<CharT> s,
   std::ios_base::openmode mode = (1) (since C++23)
                        std::ios_base::out );
   basic_ospanstream( basic_ospanstream&& rhs ); (2) (since C++23)
   basic_ospanstream( const basic_ospanstream& ) = delete; (3) (since C++23)
   Constructs a new basic_ospanstream.
   1) Uses the storage referenced by s as initial underlying buffer of the wrapped
   std::basic_spanbuf device. The wrapped std::basic_spanbuf object is constructed as
   basic_spanbuf<Char, Traits>(s, mode | std::ios_base::out).
   2) Move constructor. Move constructs the std::basic_ostream base subobject and the
   wrapped std::basic_spanbuf from those of rhs, and then calls set_rdbuf with the
   address of the wrapped std::basic_spanbuf in *this to install it.
   3) Copy constructor is deleted. basic_ospanstream is not copyable.

Parameters
   s - std::span referencing the storage to be use as initial underlying buffer of
           stream
           specifies stream open mode. Following constants and bit-wise OR between them
           may be used:
           Constant Explanation
           app seek to the end of stream before each write
   mode - binary open in binary mode
           in open for reading
           out open for writing
           trunc discard the contents of the stream when opening
           ate seek to the end of stream immediately after open
           noreplace (C++23) open in exclusive mode
   other - another basic_ospanstream to be moved from

Exceptions
   May throw implementation-defined exceptions.

Example
    This section is incomplete
    Reason: no example

See also
   constructor constructs a basic_spanbuf object
   (C++23) (public member function of std::basic_spanbuf<CharT,Traits>)

Category:
     * Todo no example